> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set a Temperature Threshold

> Sets a [temperature threshold](https://docs.seam.co/capability-guides/thermostats/setting-and-monitoring-temperature-thresholds) for a specified thermostat. Seam emits a `thermostat.temperature_threshold_exceeded` event and adds a warning on a thermostat if it reports a temperature outside the threshold range.



## OpenAPI

````yaml /openapi.json post /thermostats/set_temperature_threshold
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/set_temperature_threshold:
    post:
      tags:
        - /thermostats
      summary: Set a Temperature Threshold
      description: >-
        Sets a [temperature
        threshold](https://docs.seam.co/capability-guides/thermostats/setting-and-monitoring-temperature-thresholds)
        for a specified thermostat. Seam emits a
        `thermostat.temperature_threshold_exceeded` event and adds a warning on
        a thermostat if it reports a temperature outside the threshold range.
      operationId: thermostatsSetTemperatureThresholdPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the thermostat device for which you want to set a
                    temperature threshold.
                  format: uuid
                  type: string
                lower_limit_celsius:
                  default: null
                  description: >-
                    Lower temperature limit in in °C. Seam alerts you if the
                    reported temperature is lower than this value. You can
                    specify either `lower_limit` but not both.
                  format: float
                  nullable: true
                  type: number
                lower_limit_fahrenheit:
                  default: null
                  description: >-
                    Lower temperature limit in in °F. Seam alerts you if the
                    reported temperature is lower than this value. You can
                    specify either `lower_limit` but not both.
                  format: float
                  nullable: true
                  type: number
                upper_limit_celsius:
                  default: null
                  description: >-
                    Upper temperature limit in in °C. Seam alerts you if the
                    reported temperature is higher than this value. You can
                    specify either `upper_limit` but not both.
                  format: float
                  nullable: true
                  type: number
                upper_limit_fahrenheit:
                  default: null
                  description: >-
                    Upper temperature limit in in °C. Seam alerts you if the
                    reported temperature is higher than this value. You can
                    specify either `upper_limit` but not both.
                  format: float
                  nullable: true
                  type: number
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.setTemperatureThreshold({
              device_id: "a9b52627-e6e2-4beb-9168-964749f7bbae",
              lower_limit_fahrenheit: 60,
              upper_limit_fahrenheit: 80,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/set_temperature_threshold"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "a9b52627-e6e2-4beb-9168-964749f7bbae",
              "lower_limit_fahrenheit": 60,
              "upper_limit_fahrenheit": 80
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.set_temperature_threshold(
                device_id="a9b52627-e6e2-4beb-9168-964749f7bbae",
                lower_limit_fahrenheit=60,
                upper_limit_fahrenheit=80,
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.set_temperature_threshold(
              device_id: "a9b52627-e6e2-4beb-9168-964749f7bbae",
              lower_limit_fahrenheit: 60,
              upper_limit_fahrenheit: 80,
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->set_temperature_threshold(
                device_id: "a9b52627-e6e2-4beb-9168-964749f7bbae",
                lower_limit_fahrenheit: 60,
                upper_limit_fahrenheit: 80,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats set-temperature-threshold --device_id
            "a9b52627-e6e2-4beb-9168-964749f7bbae" --lower_limit_fahrenheit 60
            --upper_limit_fahrenheit 80


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````